using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinGreed
{
    public class HandleThrow
    {
        public string Who { get; set; }
        public int Score { get; set; }
        //private List<Dice> _dices = new List<Dice>();

        public List<Dice> Dices { get; set; }  = new List<Dice>();
            
        int roll;
        public HandleThrow()
        {
            for (int i = 1; i < 7; i++)
            {
                Dices.Add(new Dice(i));
            }
            roll = 0;
        }

        public List<Dice> Throw()
        {
            var rolled = new List<Dice>();
            roll += 1;
            foreach (Dice dice in Dices)
            {
                if (!dice.Chosen)
                {
                    dice.Roll();
                    rolled.Add(dice);
                }
            }
            return rolled;
        }
    }
}
